import * as React from 'react';
import { exhaustiveTypeCheck } from '../utils/exhaustiveTypeCheck';
import PngIcon from '../assets/PngIcon';
export const Icon = ({
  iconName,
  isActive,
  normalColor,
  activeColor
}) => {
  const color = isActive ? activeColor : normalColor;

  switch (iconName) {
    case 'Smile':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/smile.png')
      });

    case 'Trees':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/trees.png')
      });

    case 'Pizza':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/pizza.png')
      });

    case 'Plane':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/plane.png')
      });

    case 'Football':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/football.png')
      });

    case 'Lightbulb':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/lightbulb.png')
      });

    case 'Flag':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/flag.png')
      });

    case 'Ban':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/ban.png')
      });

    case 'Users':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/users.png')
      });

    case 'Search':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/search.png')
      });

    case 'Close':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/close.png')
      });

    case 'Clock':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/clock.png')
      });

    case 'QuestionMark':
      return /*#__PURE__*/React.createElement(PngIcon, {
        fill: color,
        source: require('../assets/questionMark.png')
      });

    default:
      exhaustiveTypeCheck(iconName);
      return null;
  }
};
//# sourceMappingURL=Icon.js.map